package cn.superdesk.uniorder.dto.vo.inv;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class ViewBackAccountManage implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -1274920660131038065L;	
	
	
	private String mdzId; //帐单id
	private String orderId; //订单Id
	private String dzSn; //帐单编码
	private String ordersn; //订单编码
	private String invoiceNumber; //发票号
    private String enterpriseName;//企业名称
    
    private String merchName;//商户名称
    private String buyerInfo;//买家信息
    
    private Integer orderNum;//订单数
    private BigDecimal invoiceAccount=BigDecimal.ZERO;//对账单金额
    private BigDecimal backAccount=BigDecimal.ZERO;//已回款额
    private Date createTime;//对帐时间
    private Date invoiceTime;//开票时间
    private Date mailTickTime;//寄票时间
    private Integer backStatus;//回款状态  (0未回款\1部分回款\2全部回款
    
    private Date backAccountTime;//回款时间
    private Date backOperationTime;//操作时间
    private Integer payType;////支付方式 (0为未支付 1为余额支付 2在线支付 3 企业月结 11 后台付款 21 微信支付 22 支付宝支付 23 银联支付
    private String sourceName;//订单类型 (企业采购 1\代客下单 2
    
    private BigDecimal noBackAccount=BigDecimal.ZERO;//已回款额
    
    
	public String getDzSn() {
		return dzSn;
	}
	public void setDzSn(String dzSn) {
		this.dzSn = dzSn;
	}
	public String getEnterpriseName() {
		return enterpriseName;
	}
	public void setEnterpriseName(String enterpriseName) {
		this.enterpriseName = enterpriseName;
	}
	public Integer getOrderNum() {
		return orderNum;
	}
	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}
	public BigDecimal getInvoiceAccount() {
		return invoiceAccount;
	}
	public void setInvoiceAccount(BigDecimal invoiceAccount) {
		this.invoiceAccount = invoiceAccount;
	}
	public BigDecimal getBackAccount() {
		return backAccount;
	}
	public void setBackAccount(BigDecimal backAccount) {
		this.backAccount = backAccount;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Date getInvoiceTime() {
		return invoiceTime;
	}
	public void setInvoiceTime(Date invoiceTime) {
		this.invoiceTime = invoiceTime;
	}
	public Date getMailTickTime() {
		return mailTickTime;
	}
	public void setMailTickTime(Date mailTickTime) {
		this.mailTickTime = mailTickTime;
	}
	public Integer getBackStatus() {
		return backStatus;
	}
	public void setBackStatus(Integer backStatus) {
		this.backStatus = backStatus;
	}
	
	
	public Date getBackAccountTime() {
		return backAccountTime;
	}
	public void setBackAccountTime(Date backAccountTime) {
		this.backAccountTime = backAccountTime;
	}
	public Date getBackOperationTime() {
		return backOperationTime;
	}
	public void setBackOperationTime(Date backOperationTime) {
		this.backOperationTime = backOperationTime;
	}
	public Integer getPayType() {
		return payType;
	}
	public void setPayType(Integer payType) {
		this.payType = payType;
	}
	public String getSourceName() {
		return sourceName;
	}
	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}
	public String getMdzId() {
		return mdzId;
	}
	public void setMdzId(String mdzId) {
		this.mdzId = mdzId;
	}
	public String getOrderId() {
		return orderId;
	}
	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}
	public String getOrdersn() {
		return ordersn;
	}
	public void setOrdersn(String ordersn) {
		this.ordersn = ordersn;
	}
	public String getMerchName() {
		return merchName;
	}
	public void setMerchName(String merchName) {
		this.merchName = merchName;
	}
	public String getBuyerInfo() {
		return buyerInfo;
	}
	public void setBuyerInfo(String buyerInfo) {
		this.buyerInfo = buyerInfo;
	}
	public String getInvoiceNumber() {
		return invoiceNumber;
	}
	public void setInvoiceNumber(String invoiceNumber) {
		this.invoiceNumber = invoiceNumber;
	}
	/*public BigDecimal getNoBackAccount() {
		//this.noBackAccount=this.invoiceAccount.subtract(this.backAccount);
		//return noBackAccount;
		
		return invoiceAccount.subtract(backAccount);
	}
	public void setNoBackAccount(BigDecimal noBackAccount) {
		this.noBackAccount = invoiceAccount.subtract(backAccount);
	}*/
	public BigDecimal getNoBackAccount() {
		return noBackAccount;
	}
	public void setNoBackAccount(BigDecimal noBackAccount) {
		this.noBackAccount = this.invoiceAccount.subtract(this.backAccount);
	}	
}
